Bug 991770 - [abrt] BUG: unable to handle kernel NULL pointer dereference at (null) [NEEDINFO]
[abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:6177c3a8c9d31bacf7bb0df634e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 06:21 EDT by bugzilla.ebv
Modified: 2014-02-05 17:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:13:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo? (bugzilla.ebv)


Attachments (Terms of Use)
File: dmesg (181.49 KB, text/plain)
2013-08-04 06:22 EDT, bugzilla.ebv
no flags Details

  None (edit)
Description bugzilla.ebv 2013-08-04 06:21:37 EDT
Additional info:
reporter:       libreport-2.1.5
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffffa010e26c>] radeon_pm_set_clocks+0xbc/0x580 [radeon]
PGD 143a6c067 PUD 143b5a067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: fuse ebtable_nat bnep bluetooth ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 brcmsmac cordic brcmutil mac80211 cfg80211 iTCO_wdt iTCO_vendor_support acpi_cpufreq mperf coretemp acer_wmi sparse_keymap rfkill uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media vhost_net tun macvtap macvlan microcode snd_hda_codec_hdmi snd_hda_codec_realtek broadcom tg3 ptp snd_hda_intel pps_core snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm lpc_ich mfd_core i2c_i801 snd_page_alloc bcma snd_timer snd soundcore mei kvm_intel kvm uinput radeon i2c_algo_bit crc32c_intel drm_kms_helper ttm drm i2c_core mxm_wmi video wmi
CPU 0 
Pid: 729, comm: Xorg Not tainted 3.9.11-200.fc18.x86_64 #1 Acer             Aspire 5741G    /Aspire 5741G    
RIP: 0010:[<ffffffffa010e26c>]  [<ffffffffa010e26c>] radeon_pm_set_clocks+0xbc/0x580 [radeon]
RSP: 0018:ffff880142421bd8  EFLAGS: 00010282
RAX: ffff88014d2c2ec0 RBX: ffff88014f3b51b0 RCX: ffff880138068338
RDX: 0000000000140a24 RSI: 0000000000140a24 RDI: ffff88014f3b46c0
RBP: ffff880142421c58 R08: ffff880142421fd8 R09: 0000000000000328
R10: 0000000000000001 R11: 0000000000000001 R12: ffff88014f3b4d10
R13: 0000000000000000 R14: ffff88014f3b5180 R15: ffff88014f3b4000
FS:  00007fd554935940(0000) GS:ffff880157c00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 0000000143b6c000 CR4: 00000000000007f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 729, threadinfo ffff880142420000, task ffff8801438d4410)
Stack:
 ffffffff811afe70 dead000000100100 dead000000200200 ffff880133a22e00
 ffff88010000000c 00000000000000db ffff8801438d4410 0000000042421c78
 ffff8801438d4410 ffff880142421cb8 0000000c00000000 ffff88014f3b4000
Call Trace:
 [<ffffffff811afe70>] ? __pollwait+0xf0/0xf0
 [<ffffffffa00bf7b0>] ? radeon_get_shared_nondp_ppll+0x100/0x100 [radeon]
 [<ffffffffa010f3c0>] radeon_pm_compute_clocks+0xd0/0x220 [radeon]
 [<ffffffffa00bf7eb>] atombios_crtc_dpms+0x3b/0x120 [radeon]
 [<ffffffffa0074a62>] drm_helper_connector_dpms+0x72/0x130 [drm_kms_helper]
 [<ffffffffa0043c3d>] drm_mode_obj_set_property_ioctl+0x31d/0x330 [drm]
 [<ffffffffa0043c80>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
 [<ffffffffa0032483>] drm_ioctl+0x4d3/0x580 [drm]
 [<ffffffffa0043c50>] ? drm_mode_obj_set_property_ioctl+0x330/0x330 [drm]
 [<ffffffff811af057>] do_vfs_ioctl+0x97/0x580
 [<ffffffff8129ebfa>] ? inode_has_perm.isra.32.constprop.62+0x2a/0x30
 [<ffffffff812a0287>] ? file_has_perm+0x97/0xb0
 [<ffffffff811af5d1>] sys_ioctl+0x91/0xb0
 [<ffffffff81667f99>] system_call_fastpath+0x16/0x1b
Code: 8b 2f eb 12 0f 1f 00 4d 39 ee 49 8b 45 00 4c 89 ef 74 24 49 89 c5 83 bf c4 00 00 00 02 75 e8 48 83 c7 48 e8 77 c3 f7 ff 4d 39 ee <49> 8b 45 00 4c 89 ef 75 df 0f 1f 00 41 80 bf b0 10 00 00 00 74 
RIP  [<ffffffffa010e26c>] radeon_pm_set_clocks+0xbc/0x580 [radeon]
 RSP <ffff880142421bd8>

Potential duplicate: bug 989500
Comment 1 bugzilla.ebv 2013-08-04 06:22:27 EDT
Created attachment 782471 [details]
File: dmesg
Comment 2 Justin M. Forbes 2013-10-18 17:20:17 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 3 JMH 2013-10-20 22:02:18 EDT
Description of problem:
happend while I was doing somthing else.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.6.10-4.fc18.x86_64 root=UUID=2f89aef5-b52d-4ff9-98a5-bbb1328e9c21 ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rhgb quiet
kernel:         3.6.10-4.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffffa01362d4>] radeon_pm_set_clocks+0xb4/0x530 [radeon]
PGD 115327067 PUD 116b2e067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: des_generic md4 nls_utf8 cifs dns_resolver fscache rfcomm ipt_MASQUERADE bnep nf_conntrack_netbios_ns nf_conntrack_broadcast bluetooth rfkill ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables kvm_amd kvm emu10k1_gp forcedeth snd_emu10k1 snd_hda_codec_hdmi snd_util_mem snd_ac97_codec ac97_bus snd_hda_intel snd_rawmidi snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore edac_core edac_mce_amd uinput gameport asus_atk0110 microcode i2c_nforce2 k10temp radeon i2c_algo_bit drm_kms_helper ttm drm ata_generic firewire_ohci pata_acpi mxm_wmi i2c_core firewire_core crc_itu_t pata_amd video wmi
CPU 3 
Pid: 645, comm: X Not tainted 3.6.10-4.fc18.x86_64 #1 System manufacturer System Product Name/M3N72-D
RIP: 0010:[<ffffffffa01362d4>]  [<ffffffffa01362d4>] radeon_pm_set_clocks+0xb4/0x530 [radeon]
RSP: 0018:ffff880116965be8  EFLAGS: 00010282
RAX: ffff880114a581d8 RBX: ffff880115ddcf40 RCX: ffff880116965ae0
RDX: 0000000000000000 RSI: ffff880118358d60 RDI: ffff880115ddc6a8
RBP: ffff880116965c68 R08: ffff880118358d60 R09: 0000000000000000
R10: ffffffff81cdd760 R11: 0000000000000000 R12: ffff880115ddcc00
R13: 0000000000000000 R14: ffff880115ddcf10 R15: ffff880115ddc000
FS:  00007f12ad382940(0000) GS:ffff88011fd80000(0000) knlGS:00000000f77b86c0
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000011849b000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process X (pid: 645, threadinfo ffff880116964000, task ffff88011536ae20)
Stack:
 00000000dea72cd0 0000000000000000 0000000000000000 0000000000000000
 0000000000000000 0000000000000000 ffff880115ddcb40 00000000000001e0
 ffff880116965d30 ffff880116965ca8 ffff880116965c70 ffff880115ddc000
Call Trace:
 [<ffffffffa00e7ab0>] ? atombios_crtc_mode_fixup+0x10/0x10 [radeon]
 [<ffffffffa0137440>] radeon_pm_compute_clocks+0xd0/0x240 [radeon]
 [<ffffffffa00e7aea>] atombios_crtc_dpms+0x3a/0x170 [radeon]
 [<ffffffffa009d9d2>] drm_helper_connector_dpms+0x72/0x130 [drm_kms_helper]
 [<ffffffffa007072d>] drm_mode_obj_set_property_ioctl+0x32d/0x340 [drm]
 [<ffffffffa0070770>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
 [<ffffffffa005f393>] drm_ioctl+0x4d3/0x580 [drm]
 [<ffffffffa0070740>] ? drm_mode_obj_set_property_ioctl+0x340/0x340 [drm]
 [<ffffffff812e4c94>] ? timerqueue_del+0x34/0x90
 [<ffffffff811a2939>] do_vfs_ioctl+0x99/0x580
 [<ffffffff8106f73f>] ? recalc_sigpending+0x1f/0x70
 [<ffffffff8106fe47>] ? __set_task_blocked+0x37/0x80
 [<ffffffff811a2eb9>] sys_ioctl+0x99/0xa0
 [<ffffffff8162bae9>] system_call_fastpath+0x16/0x1b
Code: 15 66 0f 1f 44 00 00 4d 39 ee 49 8b 45 00 4c 89 ef 74 24 49 89 c5 83 bf cc 00 00 00 02 75 e8 48 83 c7 48 e8 3f b4 f7 ff 4d 39 ee <49> 8b 45 00 4c 89 ef 75 df 0f 1f 00 41 80 bf 30 0e 00 00 00 74 
RIP  [<ffffffffa01362d4>] radeon_pm_set_clocks+0xb4/0x530 [radeon]
 RSP <ffff880116965be8>
Comment 4 Fedora End Of Life 2013-12-21 09:25:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:13:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.